#include "test9.h"
#include <iostream>
#include <cstring>
#include <chrono>
#include <thread>

int main() {
    // 初始化AD硬件服务化
    test9_init(0, "test9_Service");

    // 测试数据: 0x55, 0xAA, 0x55, 0xAA
    uint8_t test9_data[] = {0x80, 0x81, 0x82, 0x83, 0x84, 0x85, 0x86, 0x87, 0x88, 0x89};
    uint16_t data_len = sizeof(test9_data);
    
    std::string dest = "test_Service";
    
    while (true) {   
        std::this_thread::sleep_for(std::chrono::seconds(3));
    }
    
    return 0;
}
